libwps: libwps_internal.h File Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# libwps_internal.h File Reference

`#include "WPSStream.h"`
`#include <libwpd/WPXString.h>`
`#include <libwpd/libwpd_types.h>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | _RGBSColor
class | VersionException
class | FileException
class | ParseException
class | GenericException
## Defines
#define | DELETEP(m) if (m) { delete m; m = NULL; }
#define | WPS_DEBUG_MSG(M)
#define | WPS_LE_GET_GUINT16(p)
#define | WPS_LE_GET_GUINT32(p)
#define | WPS_EXTRA_LARGE_BIT 1
#define | WPS_VERY_LARGE_BIT 2
#define | WPS_LARGE_BIT 4
#define | WPS_SMALL_PRINT_BIT 8
#define | WPS_FINE_PRINT_BIT 16
#define | WPS_SUPERSCRIPT_BIT 32
#define | WPS_SUBSCRIPT_BIT 64
#define | WPS_OUTLINE_BIT 128
#define | WPS_ITALICS_BIT 256
#define | WPS_SHADOW_BIT 512
#define | WPS_REDLINE_BIT 1024
#define | WPS_DOUBLE_UNDERLINE_BIT 2048
#define | WPS_BOLD_BIT 4096
#define | WPS_STRIKEOUT_BIT 8192
#define | WPS_UNDERLINE_BIT 16384
#define | WPS_SMALL_CAPS_BIT 32768
#define | WPS_BLINK_BIT 65536
#define | WPS_REVERSEVIDEO_BIT 131072
#define | WPS_PARAGRAPH_JUSTIFICATION_LEFT 0x00
#define | WPS_PARAGRAPH_JUSTIFICATION_FULL 0x01
#define | WPS_PARAGRAPH_JUSTIFICATION_CENTER 0x02
#define | WPS_PARAGRAPH_JUSTIFICATION_RIGHT 0x03
#define | WPS_PARAGRAPH_JUSTIFICATION_FULL_ALL_LINES 0x04
#define | WPS_PARAGRAPH_JUSTIFICATION_DECIMAL_ALIGNED 0x05
#define | WPS_PAGE_BREAK 0x00
#define | WPS_SOFT_PAGE_BREAK 0x01
#define | WPS_COLUMN_BREAK 0x02
#define | WPS_LEFT 0x00
#define | WPS_RIGHT 0x01
#define | WPS_CENTER 0x02
#define | WPS_TOP 0x03
#define | WPS_BOTTOM 0x04
## Typedefs
typedef _RGBSColor | RGBSColor
## Enumerations
enum | WPSNumberingType { ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | WPSNoteType { FOOTNOTE, ENDNOTE }
enum | WPSHeaderFooterType { HEADER, FOOTER }
enum | WPSHeaderFooterInternalType { HEADER_A, HEADER_B, FOOTER_A, FOOTER_B, DUMMY }
enum | WPSHeaderFooterOccurence { ODD, EVEN, ALL, NEVER }
enum | WPSFormOrientation { PORTRAIT, LANDSCAPE }
enum | WPSTabAlignment { LEFT, RIGHT, CENTER, DECIMAL, BAR }
enum | WPSVerticalAlignment { TOP, MIDDLE, BOTTOM, FULL }
enum | WPSTextColumnType { NEWSPAPER, NEWSPAPER_VERTICAL_BALANCE, PARALLEL, PARALLEL_PROTECT }
## Functions
uint8_t | readU8 (WPSInputStream *input)
uint16_t | readU16 (WPSInputStream *input, bool bigendian=false)
uint32_t | readU32 (WPSInputStream *input, bool bigendian=false)
uint16_t | fixedPointToWPUs (const uint32_t fixedPointNumber)

## Define Documentation

#define DELETEP | ( | m |  | ) | if (m) { delete m; m = NULL; }

#define WPS_BLINK_BIT 65536

#define WPS_BOLD_BIT 4096

#define WPS_BOTTOM 0x04

#define WPS_CENTER 0x02

#define WPS_COLUMN_BREAK 0x02

#define WPS_DEBUG_MSG | ( | M |  | ) |

#define WPS_DOUBLE_UNDERLINE_BIT 2048

#define WPS_EXTRA_LARGE_BIT 1

#define WPS_FINE_PRINT_BIT 16

#define WPS_ITALICS_BIT 256

#define WPS_LARGE_BIT 4

#define WPS_LE_GET_GUINT16 | ( | p |  | ) |

Value:

    (uint16_t)((((uint8_t const *)(p))[0] << 0)  |    \
                      (((uint8_t const *)(p))[1] << 8))

#define WPS_LE_GET_GUINT32 | ( | p |  | ) |

Value:

    (uint32_t)((((uint8_t const *)(p))[0] << 0)  |    \
                      (((uint8_t const *)(p))[1] << 8)  |    \
                      (((uint8_t const *)(p))[2] << 16) |    \
                      (((uint8_t const *)(p))[3] << 24))

#define WPS_LEFT 0x00

#define WPS_OUTLINE_BIT 128

#define WPS_PAGE_BREAK 0x00

#define WPS_PARAGRAPH_JUSTIFICATION_CENTER 0x02

#define WPS_PARAGRAPH_JUSTIFICATION_DECIMAL_ALIGNED 0x05

#define WPS_PARAGRAPH_JUSTIFICATION_FULL 0x01

#define WPS_PARAGRAPH_JUSTIFICATION_FULL_ALL_LINES 0x04

#define WPS_PARAGRAPH_JUSTIFICATION_LEFT 0x00

#define WPS_PARAGRAPH_JUSTIFICATION_RIGHT 0x03

#define WPS_REDLINE_BIT 1024

#define WPS_REVERSEVIDEO_BIT 131072

#define WPS_RIGHT 0x01

#define WPS_SHADOW_BIT 512

#define WPS_SMALL_CAPS_BIT 32768

#define WPS_SMALL_PRINT_BIT 8

#define WPS_SOFT_PAGE_BREAK 0x01

#define WPS_STRIKEOUT_BIT 8192

#define WPS_SUBSCRIPT_BIT 64

#define WPS_SUPERSCRIPT_BIT 32

#define WPS_TOP 0x03

#define WPS_UNDERLINE_BIT 16384

#define WPS_VERY_LARGE_BIT 2

## Typedef Documentation

typedef struct _RGBSColor RGBSColor

## Enumeration Type Documentation

enum WPSFormOrientation

Enumerator:

  PORTRAIT |
  LANDSCAPE |

enum WPSHeaderFooterInternalType

Enumerator:

  HEADER_A |
  HEADER_B |
  FOOTER_A |
  FOOTER_B |
  DUMMY |

enum WPSHeaderFooterOccurence

Enumerator:

  ODD |
  EVEN |
  ALL |
  NEVER |

enum WPSHeaderFooterType

Enumerator:

  HEADER |
  FOOTER |

enum WPSNoteType

Enumerator:

  FOOTNOTE |
  ENDNOTE |

enum WPSNumberingType

Enumerator:

  ARABIC |
  LOWERCASE |
  UPPERCASE |
  LOWERCASE_ROMAN |
  UPPERCASE_ROMAN |

enum WPSTabAlignment

Enumerator:

  LEFT |
  RIGHT |
  CENTER |
  DECIMAL |
  BAR |

enum WPSTextColumnType

Enumerator:

  NEWSPAPER |
  NEWSPAPER_VERTICAL_BALANCE |
  PARALLEL |
  PARALLEL_PROTECT |

enum WPSVerticalAlignment

Enumerator:

  TOP |
  MIDDLE |
  BOTTOM |
  FULL |

## Function Documentation

uint16_t fixedPointToWPUs | ( | const uint32_t | fixedPointNumber | ) |

uint16_t readU16 | ( | WPSInputStream * | input,
|  | bool | bigendian = `false` |
| ) |  |  |

uint32_t readU32 | ( | WPSInputStream * | input,
|  | bool | bigendian = `false` |
| ) |  |  |

uint8_t readU8 | ( | WPSInputStream * | input | ) |